# Get fields

Retrieve a list of available fields

Endpoint: GET /v2/fields

## Query parameters:

  - `$skip` (integer)
    Specifies the number of items to skip

  - `$top` (integer)
    Specifies the maximum number of items to return

## Response 200 fields (application/json):

  - `items` (array)
    The collection of items

  - `items.id` (string)
    The API name for the field
    Example: my_field

  - `items.name` (string)
    The user defined name of the field
    Example: My dropdown field

  - `items.type` (string)
    The type of the field
    Enum: "Text", "Decimal", "Boolean", "Date", "Option", "MultiOption", "User"

  - `items.properties` (any)
    Specific properties for the field, varies by type

  - `items.properties.userCanAddOption` (boolean)
    Indicates if an option can be added without the user having access to further manage the field options
    Example: true

  - `items.created` (object)
    The username who created the field and when

  - `items.created.dateUtc` (string)
    The date and time the action was performed. The date and time uses the ISO-8601 format and will be in UTC
    Example: 2024-12-25T00:00:00Z

  - `items.created.userName` (string)
    The username of who performed the action
    Example: api.developer@lawvu.com

  - `items.modified` (object)
    The username who modified the field and when

## Response 400 fields (application/problem+json):

  - `detail` (string)
    More information about the problem.

  - `instance` (string)
    The URI of the resource which the error relates to.

  - `operationId` (string)
    A unique trace identifier for the request. This should be provided when requesting support.

  - `status` (integer)
    The HTTP status code for the problem.

  - `title` (string)
    A short description of the error.

  - `type` (string)
    A URI which can be followed to find out more about the problem.

## Response 404 fields (application/problem+json):

  - `detail` (string)
    More information about the problem.

  - `instance` (string)
    The URI of the resource which the error relates to.

  - `operationId` (string)
    A unique trace identifier for the request. This should be provided when requesting support.

  - `status` (integer)
    The HTTP status code for the problem.

  - `title` (string)
    A short description of the error.

  - `type` (string)
    A URI which can be followed to find out more about the problem.

